```java
/**
 * Creates an instance of the JotUrl SDK.
 *
 * @param _username the username used to login into JotURL dashboard
 * @param _public_key public api key, you can find it on https://www.joturl.com/reserved/settings.html#tools-api
 * @param _private_key private api key, you can find it on https://www.joturl.com/reserved/settings.html#tools-api
 *
 * @returns {JotUrlSDK}
 */
JotUrlSDK sdk = new JotUrlSDK(_username, _public_key, _private_key);

/**
 * Call and get results from the API endpoint.
 *
 * @param endpoint API endpoint to be called
 * @param parameters parameters to be passed to the call (null to ignore)
 * @param postParameters post parametersto be passed to the call (null to ignore)
 *
 */
JotUrlSDK.call(String endpoint, JotUrlRunnable callback, Map<String, String> parameters, Map<String, String> postParameters);
JotUrlSDK.call(String endpoint, JotUrlRunnable callback);
JotUrlSDK.callGET(String endpoint, Map<String, String> parameters, JotUrlRunnable callback);
JotUrlSDK.callPOST(String endpoint, Map<String, String> postParameters, JotUrlRunnable callback);
```